Get video transcript
curl --request GET \
--url https://api.konbiniapi.com/v1/tiktok/videos/{videoId}/transcripts/{language} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/tiktok/videos/{videoId}/transcripts/{language}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/tiktok/videos/{videoId}/transcripts/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Document",
"id": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599/transcript/en-US",
"url": "https://www.tiktok.com/@khaby.lame/video/7611615657754381599",
"mediaType": "text/vtt",
"language": "en-US",
"content": "WEBVTT\n\n00:00:00.000 --> 00:00:02.000\nHello everyone",
"size": 1024,
"source": "ASR"
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Videos
Get video transcript
Returns the transcript for a video. Use original as the language to return the auto-generated transcript, or provide a BCP47 language code for machine-translated subtitles. Returns WebVTT format.
GET
/
v1
/
tiktok
/
videos
/
{videoId}
/
transcripts
/
{language}
Get video transcript
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
TikTok video ID
Example:
"7527278440291126550"
BCP47 language code, or original
Available options:
original, ar-SA, az-AZ, ca-ES, ceb-PH, cs-CZ, da-DK, de-DE, en-US, es-ES, et-EE, fi-FI, fil-PH, fr-FR, ga-IE, he-IL, hr-HR, id-ID, it-IT, ja-JP, ko-KR, lv-LV, lt-LT, ms-MY, nb-NO, nl-NL, pl-PL, pt-PT, ru-RU, sw-SW, sv-SE, th-TH, uk-UA, vi-VN, zh-Hans-CN, zh-Hant-CN Example:
"en-US"
Response
Returns the transcript in Document format or raw WebVTT
Show child attributes
Show child attributes
⌘I